PR_CAP_AMBIENT_RAISE(2const)

NAME
PR_CAP_AMBIENT_RAISE - add to the ambient capability set of the calling thread

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_CAP_AMBIENT, PR_CAP_AMBIENT_RAISE, long cap, 0L, 0L);

DESCRIPTION
The capability specified in cap is added to the ambient capability set. The specified capability must already be present in both the permitted and the inheritable sets of the process. This operation is not permitted if the SECBIT_NO_CAP_AMBIENT_RAISE securebit is set.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    cap does not specify a valid capability.

EPERM
    either the capability specified in cap is not present in the process's permitted and inheritable capability sets, or the PR_CAP_AMBIENT_LOWER securebit has been set.

VERSIONS
See PR_CAP_AMBIENT(2const).

STANDARDS
Linux.

HISTORY
Linux 4.3.

SEE ALSO
prctl(2), PR_CAP_AMBIENT(2const), libcap(3)